﻿
<div class="wrapper-grid">
    <div class="k-rtl">

@(Html.Kendo().TabStrip()
    .Name("GeneraltabStrip")
    .SelectedIndex(0)
    .TabPosition(TabStripTabPosition.Top)
    .Animation(animation => animation.Open(open => open.Fade(FadeDirection.In)))
    .Items(items =>
    {
        foreach (TagType _item in (TagType[])Enum.GetValues(typeof(TagType)))
        {
            items.Add().Text(_item.ToString()).Content(
                @<text>
                    @(Html.Kendo().Grid<Tag>
                        ()
                        .Name("Tagsgrid_"+_item.ToString())
                        .Columns(columns =>
                        {
                            columns.Bound(c => c.Image).Width(100).Sortable(false).Filterable(false).ClientTemplate("#=_DisplayImage(Image , 'Tag')#");
                            columns.Bound(c => c.Icon).Width(100).Sortable(false).Filterable(false).ClientTemplate("#=_DisplayImage(Icon , 'Tag')#");
                            columns.Bound(c => c.Title);
                            columns.Bound(c => c.Color).Width(100).Sortable(false).Filterable(false).ClientTemplate("#=_DisplayColor(Color)#");
                            columns.Bound(c => c.FontColor).Width(100).Sortable(false).Filterable(false).ClientTemplate("#=_DisplayColor(FontColor)#");

                            columns.Command(command => { command.Edit().Text("ویرایش"); command.Destroy().Text("حذف"); }).Width(300);
                        })
                        .ToolBar(toolbar =>
                        {
                            toolbar.Create().Text("تگ جدید");
                        })
                        .ColumnMenu()
                        .Editable(editable => editable.Mode(GridEditMode.PopUp).Window(q => q.Width(800)))
                        .Pageable()
                        .Navigatable()
                        .Selectable(selectable =>
                        {
                            selectable.Mode(GridSelectionMode.Single);
                            selectable.Type(GridSelectionType.Row);
                        })
                        .Sortable(sortable =>
                        {
                            sortable.SortMode(GridSortMode.SingleColumn);
                        })
                        .Filterable()
                        .Scrollable(s => s.Height("auto").Enabled(false))
                        .DataSource(dataSource => dataSource
                        .Ajax()
                        .Model(model => model.Id(p => p.TagID))
                        .Read(read => read.Action("Tags_Read", "Tags", new { _Type = (int)_item }))
                        .Create(create => create.Action("Tags_Create", "Tags", new { _Type = (int)_item }))
                        .Update(update => update.Action("Tags_Update", "Tags"))
                        .Destroy(destroy => destroy.Action("Tags_Destroy", "Tags"))
                        ))
                </text>
            );
        }
    }))
                
    </div>
</div>
